<div xmlns:html="http://www.w3.org/1999/xhtml" xmlns:pm="http://www.polymake.org/ns/docs#3" id="content"><h1>application: matroid</h1><div class="descr"><p> Matroids encode the concept of "(in)dependence" in an abstract way.  You
 can define matroids via vector configurations or graphs, do basic
 conversions between different descriptions and perform basic operations such
 as deletions and contractions.</p></div><b>imports from: </b><a href="common.html">common</a>, <a href="graph.html">graph</a><br/><b>uses: </b><a href="group.html">group</a>, <a href="ideal.html">ideal</a>, <a href="polytope.html">polytope</a>, <a href="topaz.html">topaz</a><br/><div class="level2"><h2><b>Objects</b></h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Matroid" onclick="swap_content('span:Matroid'); return false;">
		 	
	</div><div class="unfoldable"><div class="object"><h3><a href="#" class="javalink" id="Matroid" onclick="swap_content('span:Matroid'); return false;"><span class="object">Matroid</span></a></h3></div><div style="display: inline" id="span:Matroid" class="foldit"><div class="descr"><p> A matroid on the set <em class="param">{0,...,n-1}</em>.  Here <em class="param">n</em> is the same as <a href="#Matroid__N_ELEMENTS" onclick="unfold('span:Matroid__N_ELEMENTS');">N_ELEMENTS</a>.</p></div><div class="level3"/><h4>Properties of Matroid</h4><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:Matroid__BASES" onclick="swap_content('span:Matroid__BASES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__BASES" onclick="swap_content('span:Matroid__BASES'); return false;"><b>BASES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Matroid__BASES" class="foldit"><div class="descr"><p> Subsets of the ground set which form the bases of the matroid.
 Note that if you want to define a matroid via its bases, you should also specify <a href="#Matroid__N_ELEMENTS" onclick="unfold('span:Matroid__N_ELEMENTS');">N_ELEMENTS</a>, because
 we allow matroids with loops.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__BETA_INVARIANT" onclick="swap_content('span:Matroid__BETA_INVARIANT'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__BETA_INVARIANT" onclick="swap_content('span:Matroid__BETA_INVARIANT'); return false;"><b>BETA_INVARIANT</b>:
		</a><a href="common.html#Integer" onclick="unfold('span:Integer');">common::Integer</a><br/><div style="display: inline" id="span:Matroid__BETA_INVARIANT" class="foldit"><div class="descr"><p>The linear coefficient of the tutte polynomial</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__BINARY" onclick="swap_content('span:Matroid__BINARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__BINARY" onclick="swap_content('span:Matroid__BINARY'); return false;"><b>BINARY</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Matroid__BINARY" class="foldit"><div class="descr"><p> Whether the matroid is representable over GF(2)</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__BINARY_POINTS" onclick="swap_content('span:Matroid__BINARY_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__BINARY_POINTS" onclick="swap_content('span:Matroid__BINARY_POINTS'); return false;"><b>BINARY_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Matroid__BINARY_POINTS" class="foldit"><div class="descr"><p> If the matroid is realizable over the field GF(2) with two elements, this property contains
 coordinates for some realization.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__CIRCUITS" onclick="swap_content('span:Matroid__CIRCUITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__CIRCUITS" onclick="swap_content('span:Matroid__CIRCUITS'); return false;"><b>CIRCUITS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Matroid__CIRCUITS" class="foldit"><div class="descr"><p> Circuits, i.e., minimal dependent sets.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__COCIRCUITS" onclick="swap_content('span:Matroid__COCIRCUITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__COCIRCUITS" onclick="swap_content('span:Matroid__COCIRCUITS'); return false;"><b>COCIRCUITS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Matroid__COCIRCUITS" class="foldit"><div class="descr"><p> Cocircuits (or bonds) of the matroid, i.e., minimal sets intersecting every basis.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__COLOOPS" onclick="swap_content('span:Matroid__COLOOPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__COLOOPS" onclick="swap_content('span:Matroid__COLOOPS'); return false;"><b>COLOOPS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Matroid__COLOOPS" class="foldit"><div class="descr"><p> Coloops</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__CONNECTED" onclick="swap_content('span:Matroid__CONNECTED'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__CONNECTED" onclick="swap_content('span:Matroid__CONNECTED'); return false;"><b>CONNECTED</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Matroid__CONNECTED" class="foldit"><div class="descr"><p>Whether the matroid is connected</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__CONNECTED_COMPONENTS" onclick="swap_content('span:Matroid__CONNECTED_COMPONENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__CONNECTED_COMPONENTS" onclick="swap_content('span:Matroid__CONNECTED_COMPONENTS'); return false;"><b>CONNECTED_COMPONENTS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Matroid__CONNECTED_COMPONENTS" class="foldit"><div class="descr"><p>The connected componets</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__F_VECTOR" onclick="swap_content('span:Matroid__F_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__F_VECTOR" onclick="swap_content('span:Matroid__F_VECTOR'); return false;"><b>F_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Matroid__F_VECTOR" class="foldit"><div class="descr"><p>The f-vector of a matroid</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__H_VECTOR" onclick="swap_content('span:Matroid__H_VECTOR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__H_VECTOR" onclick="swap_content('span:Matroid__H_VECTOR'); return false;"><b>H_VECTOR</b>:
		</a><a href="common.html#Vector" onclick="unfold('span:Vector');">common::Vector&lt;Integer&gt;</a><br/><div style="display: inline" id="span:Matroid__H_VECTOR" class="foldit"><div class="descr"><p>The h-vector of a matroid</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__LABELS" onclick="swap_content('span:Matroid__LABELS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__LABELS" onclick="swap_content('span:Matroid__LABELS'); return false;"><b>LABELS</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;String&gt;</a><br/><div style="display: inline" id="span:Matroid__LABELS" class="foldit"><div class="descr"><p> Unique names assigned to the elements of the matroid.</p><p> For a matroid build from scratch, you should create this property by yourself.
 If you build the matroid with a construction client, (e.g. <a href="#matroid_from_graph" onclick="unfold('span:matroid_from_graph');">matroid_from_graph</a>)
 the labels may be assigend for you in a meaningful way.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__LATTICE_OF_FLATS" onclick="swap_content('span:Matroid__LATTICE_OF_FLATS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__LATTICE_OF_FLATS" onclick="swap_content('span:Matroid__LATTICE_OF_FLATS'); return false;"><b>LATTICE_OF_FLATS</b>:
		</a><a href="graph.html#FaceLattice" onclick="unfold('span:FaceLattice');">graph::FaceLattice</a><br/><div style="display: inline" id="span:Matroid__LATTICE_OF_FLATS" class="foldit"><div class="descr"><p>The lattice of flats, this is a graph with all closed sets as nodes</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__LOOPS" onclick="swap_content('span:Matroid__LOOPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__LOOPS" onclick="swap_content('span:Matroid__LOOPS'); return false;"><b>LOOPS</b>:
		</a><a href="common.html#Set" onclick="unfold('span:Set');">common::Set&lt;Int&gt;</a><br/><div style="display: inline" id="span:Matroid__LOOPS" class="foldit"><div class="descr"><p> Loops</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__MATROID_HYPERPLANES" onclick="swap_content('span:Matroid__MATROID_HYPERPLANES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__MATROID_HYPERPLANES" onclick="swap_content('span:Matroid__MATROID_HYPERPLANES'); return false;"><b>MATROID_HYPERPLANES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Matroid__MATROID_HYPERPLANES" class="foldit"><div class="descr"><p> Hyperplanes, i.e. flats of rank RANK-1.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__NON_BASES" onclick="swap_content('span:Matroid__NON_BASES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__NON_BASES" onclick="swap_content('span:Matroid__NON_BASES'); return false;"><b>NON_BASES</b>:
		</a><a href="common.html#Array" onclick="unfold('span:Array');">common::Array&lt;Set&lt;Int&gt;&gt;</a><br/><div style="display: inline" id="span:Matroid__NON_BASES" class="foldit"><div class="descr"><p> All subsets of the ground sets with cardinality <a href="#Matroid__RANK" onclick="unfold('span:Matroid__RANK');">RANK</a> that are not bases.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__N_BASES" onclick="swap_content('span:Matroid__N_BASES'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__N_BASES" onclick="swap_content('span:Matroid__N_BASES'); return false;"><b>N_BASES</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Matroid__N_BASES" class="foldit"><div class="descr"><p> The number of <a href="#Matroid__BASES" onclick="unfold('span:Matroid__BASES');">BASES</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__N_CIRCUITS" onclick="swap_content('span:Matroid__N_CIRCUITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__N_CIRCUITS" onclick="swap_content('span:Matroid__N_CIRCUITS'); return false;"><b>N_CIRCUITS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Matroid__N_CIRCUITS" class="foldit"><div class="descr"><p> The number of <a href="#Matroid__CIRCUITS" onclick="unfold('span:Matroid__CIRCUITS');">CIRCUITS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__N_COCIRCUITS" onclick="swap_content('span:Matroid__N_COCIRCUITS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__N_COCIRCUITS" onclick="swap_content('span:Matroid__N_COCIRCUITS'); return false;"><b>N_COCIRCUITS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Matroid__N_COCIRCUITS" class="foldit"><div class="descr"><p> The number of <a href="#Matroid__COCIRCUITS" onclick="unfold('span:Matroid__COCIRCUITS');">COCIRCUITS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__N_COLOOPS" onclick="swap_content('span:Matroid__N_COLOOPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__N_COLOOPS" onclick="swap_content('span:Matroid__N_COLOOPS'); return false;"><b>N_COLOOPS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Matroid__N_COLOOPS" class="foldit"><div class="descr"><p> The number of <a href="#Matroid__COLOOPS" onclick="unfold('span:Matroid__COLOOPS');">COLOOPS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__N_ELEMENTS" onclick="swap_content('span:Matroid__N_ELEMENTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__N_ELEMENTS" onclick="swap_content('span:Matroid__N_ELEMENTS'); return false;"><b>N_ELEMENTS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Matroid__N_ELEMENTS" class="foldit"><div class="descr"><p> Size of the ground set.  The ground set itself always consists of the first integers starting with zero.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__N_LOOPS" onclick="swap_content('span:Matroid__N_LOOPS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__N_LOOPS" onclick="swap_content('span:Matroid__N_LOOPS'); return false;"><b>N_LOOPS</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Matroid__N_LOOPS" class="foldit"><div class="descr"><p> The number of <a href="#Matroid__LOOPS" onclick="unfold('span:Matroid__LOOPS');">LOOPS</a>.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__PAVING" onclick="swap_content('span:Matroid__PAVING'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__PAVING" onclick="swap_content('span:Matroid__PAVING'); return false;"><b>PAVING</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Matroid__PAVING" class="foldit"><div class="descr"><p> Whether the matroid is paving</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__POINTS" onclick="swap_content('span:Matroid__POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__POINTS" onclick="swap_content('span:Matroid__POINTS'); return false;"><b>POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Rational, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Matroid__POINTS" class="foldit"><div class="descr"><p> If the matroid is realizable over the rationals, this property contains
 coordinates for some realization. Specifying coordinates is one way
 to define a matroid.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__POLYTOPE" onclick="swap_content('span:Matroid__POLYTOPE'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__POLYTOPE" onclick="swap_content('span:Matroid__POLYTOPE'); return false;"><b>POLYTOPE</b>:
		</a><a href="polytope.html#Polytope_Rational" onclick="unfold('span:Polytope_Rational');">polytope::Polytope&lt;Rational&gt;</a><br/><div style="display: inline" id="span:Matroid__POLYTOPE" class="foldit"><div class="descr"><p> Polytope whose vertices are the characteristic vectors of the bases.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__RANK" onclick="swap_content('span:Matroid__RANK'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__RANK" onclick="swap_content('span:Matroid__RANK'); return false;"><b>RANK</b>:
		</a><a href="common.html#Int" onclick="unfold('span:Int');">common::Int</a><br/><div style="display: inline" id="span:Matroid__RANK" class="foldit"><div class="descr"><p> Rank of the matroid, i.e., number of elements in each basis.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__REGULAR" onclick="swap_content('span:Matroid__REGULAR'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__REGULAR" onclick="swap_content('span:Matroid__REGULAR'); return false;"><b>REGULAR</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Matroid__REGULAR" class="foldit"><div class="descr"><p> Whether the matroid is representable over every field, that is the repesentation is unimodular.
 NOTE: the property is 'undef' when its hard to decide, whether the matroid is ternary. </p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__SERIES_PARALLEL" onclick="swap_content('span:Matroid__SERIES_PARALLEL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__SERIES_PARALLEL" onclick="swap_content('span:Matroid__SERIES_PARALLEL'); return false;"><b>SERIES_PARALLEL</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Matroid__SERIES_PARALLEL" class="foldit"><div class="descr"><p>Whether the matroid is series-parallel</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__TERNARY" onclick="swap_content('span:Matroid__TERNARY'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__TERNARY" onclick="swap_content('span:Matroid__TERNARY'); return false;"><b>TERNARY</b>:
		</a><a href="common.html#Bool" onclick="unfold('span:Bool');">common::Bool</a><br/><div style="display: inline" id="span:Matroid__TERNARY" class="foldit"><div class="descr"><p> Whether the matroid is representable over GF(3)
 NOTE: the property is 'undef' when its hard to decide. </p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__TERNARY_POINTS" onclick="swap_content('span:Matroid__TERNARY_POINTS'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__TERNARY_POINTS" onclick="swap_content('span:Matroid__TERNARY_POINTS'); return false;"><b>TERNARY_POINTS</b>:
		</a><a href="common.html#Matrix" onclick="unfold('span:Matrix');">common::Matrix&lt;Int, NonSymmetric&gt;</a><br/><div style="display: inline" id="span:Matroid__TERNARY_POINTS" class="foldit"><div class="descr"><p> If the matroid is realizable over the field GF(3) with three elements, this property contains
 coordinates for some realization.</p></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:Matroid__TUTTE_POLYNOMIAL" onclick="swap_content('span:Matroid__TUTTE_POLYNOMIAL'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="Matroid__TUTTE_POLYNOMIAL" onclick="swap_content('span:Matroid__TUTTE_POLYNOMIAL'); return false;"><b>TUTTE_POLYNOMIAL</b>:
		</a><a href="common.html#Polynomial" onclick="unfold('span:Polynomial');">common::Polynomial&lt;Rational, Int&gt;</a><br/><div style="display: inline" id="span:Matroid__TUTTE_POLYNOMIAL" class="foldit"><div class="descr"><p>The tutte polynomial of a matroid</p></div></div></div></div></li></ul></div></div></div></li></ul></div><div class="level2"><h2>User Functions</h2><ul class="unfoldable"><li><div class="li"><div class="icon" id="icon:functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Combinatorics" onclick="swap_content('span:functions__Combinatorics'); return false;"><span class="category">Combinatorics</span></a></h3></div><div style="display: inline" id="span:functions__Combinatorics" class="foldit"><div class="undoc">UNDOCUMENTED</div><ul><li><div class="li"><div class="icon" id="icon:internal_activity" onclick="swap_content('span:internal_activity'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="internal_activity" onclick="swap_content('span:internal_activity'); return false;"><b>internal_activity</b></a>
			()  

			
				→ Int<div style="display: inline" id="span:internal_activity" class="foldit"><br/><div class="descr_func"><div class="descr"><p> calculate the internal activity of a base with respect to a given ordering of all bases.
 Let the given base B = B_j be the j-th one in the given ordering B_1, B_2, ...
 The internal activity of B_j is the number of "necessary" elements in B_j, 
 i.e., the number of elements i in B_j such that B_j - {i} is not a subset of any B_k, k&lt;j.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:_4ti2Circuits" onclick="swap_content('span:_4ti2Circuits'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="_4ti2Circuits" onclick="swap_content('span:_4ti2Circuits'); return false;"><b>_4ti2Circuits</b></a>
			(A)  

			
				→ Matrix<div style="display: inline" id="span:_4ti2Circuits" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Calculate the circuits of a set of points given as the rows of a Matrix A.
 The circuits are given as a matrix such that vA=0 for all rows v.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td>Matrix</td><td class="param">A</td><td><div class="descr"><div>Matrix containing the points as rows.</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td>Matrix</td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_matroid_from_matroids" onclick="swap_content('span:functions__Producing_a_matroid_from_matroids'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_matroid_from_matroids" onclick="swap_content('span:functions__Producing_a_matroid_from_matroids'); return false;"><span class="category">Producing a matroid from matroids</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_matroid_from_matroids" class="foldit"><div class="undoc">UNDOCUMENTED</div><ul><li><div class="li"><div class="icon" id="icon:contraction" onclick="swap_content('span:contraction'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="contraction" onclick="swap_content('span:contraction'); return false;"><b>contraction</b></a>
			(m, element)  

			
				→ Matroid<div style="display: inline" id="span:contraction" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The matroid obtained from a matroid <em class="param">m</em> by <em class="u">contraction</em> of <em class="param">element</em> .</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">element</td><td><div class="descr"><div>index of element to be contracted</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:deletion" onclick="swap_content('span:deletion'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="deletion" onclick="swap_content('span:deletion'); return false;"><b>deletion</b></a>
			(m, element)  

			
				→ Matroid<div style="display: inline" id="span:deletion" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The matroid obtained from a matroid <em class="param">m</em> by <em class="u">deletion</em> of <em class="param">element</em> .</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">element</td><td><div class="descr"><div>index of element to be deleted</div></div></td></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:direct_sum" onclick="swap_content('span:direct_sum'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="direct_sum" onclick="swap_content('span:direct_sum'); return false;"><b>direct_sum</b></a>
			(m_1, m_2)  

			
				→ Matroid<div style="display: inline" id="span:direct_sum" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The direct sum of matroids m1 and m2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:dual" onclick="swap_content('span:dual'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="dual" onclick="swap_content('span:dual'); return false;"><b>dual</b></a>
			(m)  

			
				→ Matroid<div style="display: inline" id="span:dual" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Produces the <em class="u">dual</em> of a given matroid <em class="param">m</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:parallel_extension__Matroid__int__Matroid__int" onclick="swap_content('span:parallel_extension__Matroid__int__Matroid__int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="parallel_extension__Matroid__int__Matroid__int" onclick="swap_content('span:parallel_extension__Matroid__int__Matroid__int'); return false;"><b>parallel_extension</b></a>
			(m_1, e_1, m_2, e_2)  

			
				→ Matroid<div style="display: inline" id="span:parallel_extension__Matroid__int__Matroid__int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The parallel extension of matroids m1 and m2 with basepoints e1 and e2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td>int</td><td class="param">e_1</td><td/></tr><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_2</td><td/></tr><tr><td>int</td><td class="param">e_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:parallel_extension__Matroid__int" onclick="swap_content('span:parallel_extension__Matroid__int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="parallel_extension__Matroid__int" onclick="swap_content('span:parallel_extension__Matroid__int'); return false;"><b>parallel_extension</b></a>
			(m, e)  

			
				→ Matroid<div style="display: inline" id="span:parallel_extension__Matroid__int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The parallel extension of a matroid m and uniform(2,4) with basepoint e</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td>int</td><td class="param">e</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:series_extension__Matroid__int__Matroid__int" onclick="swap_content('span:series_extension__Matroid__int__Matroid__int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="series_extension__Matroid__int__Matroid__int" onclick="swap_content('span:series_extension__Matroid__int__Matroid__int'); return false;"><b>series_extension</b></a>
			(m_1, e_1, m_2, e_2)  

			
				→ Matroid<div style="display: inline" id="span:series_extension__Matroid__int__Matroid__int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The series extension of matroids m1 and m2 with basepoints e1 and e2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td>int</td><td class="param">e_1</td><td/></tr><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_2</td><td/></tr><tr><td>int</td><td class="param">e_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:series_extension__Matroid__int" onclick="swap_content('span:series_extension__Matroid__int'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="series_extension__Matroid__int" onclick="swap_content('span:series_extension__Matroid__int'); return false;"><b>series_extension</b></a>
			(m, e)  

			
				→ Matroid<div style="display: inline" id="span:series_extension__Matroid__int" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The series extension of a matroid m and uniform(2,4) with basepoint e</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m</td><td/></tr><tr><td>int</td><td class="param">e</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:two_sum" onclick="swap_content('span:two_sum'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="two_sum" onclick="swap_content('span:two_sum'); return false;"><b>two_sum</b></a>
			(m_1, e_1, m_2, e_2)  

			
				→ Matroid<div style="display: inline" id="span:two_sum" class="foldit"><br/><div class="descr_func"><div class="descr"><p> The 2-sum of matroids m1 and m2  with basepoints e1 and e2</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_1</td><td/></tr><tr><td>int</td><td class="param">e_1</td><td/></tr><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m_2</td><td/></tr><tr><td>int</td><td class="param">e_2</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_a_matroid_from_other_objects" onclick="swap_content('span:functions__Producing_a_matroid_from_other_objects'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_a_matroid_from_other_objects" onclick="swap_content('span:functions__Producing_a_matroid_from_other_objects'); return false;"><span class="category">Producing a matroid from other objects</span></a></h3></div><div style="display: inline" id="span:functions__Producing_a_matroid_from_other_objects" class="foldit"><div class="undoc">UNDOCUMENTED</div><ul><li><div class="li"><div class="icon" id="icon:matroid_from_characteristic_vector" onclick="swap_content('span:matroid_from_characteristic_vector'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid_from_characteristic_vector" onclick="swap_content('span:matroid_from_characteristic_vector'); return false;"><b>matroid_from_characteristic_vector</b></a>
			(v, r, n)  

			
				→ Matroid<div style="display: inline" id="span:matroid_from_characteristic_vector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the matroid with a given characteristic plueckervector of rank <em class="param">r</em> and a ground set of <em class="param">n</em> elements.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Vector" onclick="unfold('span:Vector');">Vector&lt;Integer&gt;</a></td><td class="param">v</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">r</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid_from_graph" onclick="swap_content('span:matroid_from_graph'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid_from_graph" onclick="swap_content('span:matroid_from_graph'); return false;"><b>matroid_from_graph</b></a>
			(g)  

			
				→ Matroid<div style="display: inline" id="span:matroid_from_graph" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a graphical matroid from a graph <em class="param">g</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="graph.html#Graph" onclick="unfold('span:Graph');">graph::Graph</a></td><td class="param">g</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:matroid_from_matroid_polytope" onclick="swap_content('span:matroid_from_matroid_polytope'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid_from_matroid_polytope" onclick="swap_content('span:matroid_from_matroid_polytope'); return false;"><b>matroid_from_matroid_polytope</b></a>
			(p)  

			
				→ Matroid<div style="display: inline" id="span:matroid_from_matroid_polytope" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates a matroid from the corresponding matroid
 polytope <em class="param">p</em>.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="polytope.html#Polytope" onclick="unfold('span:Polytope');">polytope::Polytope</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_from_scratch" onclick="swap_content('span:functions__Producing_from_scratch'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_from_scratch" onclick="swap_content('span:functions__Producing_from_scratch'); return false;"><span class="category">Producing from scratch</span></a></h3></div><div style="display: inline" id="span:functions__Producing_from_scratch" class="foldit"><div class="undoc">UNDOCUMENTED</div><ul><li><div class="li"><div class="icon" id="icon:fano_matroid" onclick="swap_content('span:fano_matroid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="fano_matroid" onclick="swap_content('span:fano_matroid'); return false;"><b>fano_matroid</b></a>
			()  

			
				→ Matroid<div style="display: inline" id="span:fano_matroid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the Fano plane matroid of rank 3 with 7 elements.</p></div></div><div class="level3"><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:projective_plane" onclick="swap_content('span:projective_plane'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="projective_plane" onclick="swap_content('span:projective_plane'); return false;"><b>projective_plane</b></a>
			(p)  

			
				→ Matroid<div style="display: inline" id="span:projective_plane" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the projective plane matroid of rank 3 with <em class="param">p**2+p+1</em> elements, where p is a prime.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Integer" onclick="unfold('span:Integer');">Integer</a></td><td class="param">p</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li><li><div class="li"><div class="icon" id="icon:uniform_matroid" onclick="swap_content('span:uniform_matroid'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="uniform_matroid" onclick="swap_content('span:uniform_matroid'); return false;"><b>uniform_matroid</b></a>
			(r, n)  

			
				→ Matroid<div style="display: inline" id="span:uniform_matroid" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the uniform matroid of rank <em class="param">r</em> with <em class="param">n</em> elements.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">r</td><td/></tr><tr><td><a href="common.html#Int" onclick="unfold('span:Int');">Int</a></td><td class="param">n</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td/></tr></table></div></div></div></div></li></ul></div></div></div></li><li><div class="li"><div class="icon" id="icon:functions__Producing_plueckervectors" onclick="swap_content('span:functions__Producing_plueckervectors'); return false;">
		 	
	</div><div class="unfoldable"><div class="category"><h3><a href="#" class="javalink" id="functions__Producing_plueckervectors" onclick="swap_content('span:functions__Producing_plueckervectors'); return false;"><span class="category">Producing plueckervectors</span></a></h3></div><div style="display: inline" id="span:functions__Producing_plueckervectors" class="foldit"><div class="undoc">UNDOCUMENTED</div><ul><li><div class="li"><div class="icon" id="icon:matroid_plueckervector" onclick="swap_content('span:matroid_plueckervector'); return false;">
		 	
	</div><div class="unfoldable"><a href="#" class="javalink" id="matroid_plueckervector" onclick="swap_content('span:matroid_plueckervector'); return false;"><b>matroid_plueckervector</b></a>
			(m)  

			
				→ ListReturn<div style="display: inline" id="span:matroid_plueckervector" class="foldit"><br/><div class="descr_func"><div class="descr"><p> Creates the characteristic- and the rank-plueckervector of a matroid.</p></div></div><div class="level3"><h5>Parameters</h5><table class="args"><tr><td><a href="#Matroid" onclick="unfold('span:Matroid');">Matroid</a></td><td class="param">m</td><td/></tr></table><h5>Returns</h5><table class="args"><tr><td>ListReturn</td><td><div class="descr"><div>(Vector&lt;Integer&gt;, Vector&lt;Integer&gt;)</div></div></td></tr></table></div></div></div></div></li></ul></div></div></div></li></ul></div></div>
